.navbar {
  display: flex;
  align-items: center;
  height: 48px;
  margin-bottom: 40px;

  .menu {
    width: 100%;
    display: inherit;
    height: inherit;
    align-items: center;

    ul {
      display: flex;

      li {
        list-style: none;

        a {
          text-decoration: none;
          margin-left: 70px;
          color: var(--light-san-juan-blue);
        }

        a:hover {
          color: var(--san-juan-blue);
        }
      }
    }
  }

  .menu-button {
    display: none;
  }
}

@include lg {
  .navbar {
    margin-bottom: 10px;

    nav {
      li:nth-child(1) {
        margin-left: 2vw;

        a {
          margin-left: 6vw;
        }
      }
    }
  }
}

@include md {
  .navbar {
    .menu {
      position: fixed;
      // background-color: rgb(27, 38, 47);
      // background-image: url(https://alonsohs.github.io/payapi-multi-page-website/assets/shared/desktop/bg-pattern-circle.svg);
      background-repeat: no-repeat;
      background-position: center -73.5vh;
      top: 0;
      right: -80vw;
      height: 100vh;
      width: 80vw;
      z-index: 1;
      flex-direction: column;
      align-items: center;
      justify-content: start;
      transition: 0.7s;

      nav {
        height: 150px;
        margin-top: 100px;

        ul {
          height: inherit;
          flex-direction: column;
          align-items: center;
          justify-content: space-evenly;
          margin-top: 20px;

          li:nth-child(1) {
            margin-left: 0;

            a {
              margin: 0;
              color: #fbfcfe;
              opacity: 0.8;
            }
          }
        }
      }

      // nav::before {
      //   content: "";
      //   border-bottom: 1px solid #fbfcfe;
      //   width: 92%;
      //   position: absolute;
      //   left: 4%;
      // }
    }

    .menu-button {
      display: block;
      width: 30px;
      height: 30px;
      background: url(https://alonsohs.github.io/payapi-multi-page-website/assets/shared/mobile/menu.svg);
      background-repeat: no-repeat;
      background-position: center center;
      position: absolute;
      z-index: 1;
      right: 24px;
      border: none;
    }
  }
}
